package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.HotSearch;


/**
*  service接口类
*/
public interface HotSearchService{

    List<HotSearch> getHotSearchList(HotSearch record);

    List<HotSearch> getHotSearchByPage(Page page, HotSearch record);

    HotSearch getHotSearchById(String id);

    HotSearch getHotSearch(HotSearch record);

    boolean createHotSearch(HotSearch record);

    boolean deleteHotSearch(String id);

    boolean updateHotSearch(HotSearch record);
}

